%define _unpackaged_files_terminate_build 1

%define ver_major 0.1
%def_disable static

Name: libcm
Version: %ver_major.1
Release: alt2

Summary: Compositor manager library
License: %gpl2plus
Group: System/Libraries
Url: ftp://ftp.gnome.org

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

BuildRequires: rpm-build-licenses rpm-build-gnome rpm-build-compat

# From configure.ac
BuildRequires: glib2-devel libX11-devel libXext-devel libXcomposite-devel
BuildRequires: libXdamage-devel libXtst-devel libmesa-devel
BuildRequires: libXi-devel

%description
This library provides support for compositing managers that do fancy things
with window contents, such as translucency, magnification, deformation etc.

%package devel
Summary: Libraries and headers for libcm
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
This package contains development files for libcm. You should only install the
libcm-devel package if you would like to compile applications that use libcm.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%autoreconf
%configure \
    --disable-static \
    --disable-schemas-install \

%make_build

%install
%makeinstall_std

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%_libdir/libcm.so.*

%files devel
%_libdir/libcm.so
%dir %_includedir/cm
%_includedir/cm/*.h
%_pkgconfigdir/cm.pc

%changelog
* Fri Dec 05 2008 Alexey Rusakov <ktirf@altlinux.org> 0.1.1-alt2
- Fixed building breakage due to recent changes in X.org packages.
- Fixed the license (%gpl2plus instead of LGPL).
- Removed %%__ macro.
- Use macros from rpm-build-gnome and rpm-build-compat.

* Fri Jun 01 2007 Alexey Rusakov <ktirf@altlinux.org> 0.1.1-alt1
- Initial Sisyphus version.

